---
title: 'xlink:type'
slug: 'Web/SVG/Attribute/xlink:type'
tags:
  - Deprecated
  - SVG
  - SVG Attribute
---
<div>{{SVGRef}}{{deprecated_header("SVG 2")}}</div>

<p>The <strong><code>xlink:type</code></strong> attribute identifies the type of {{Glossary("XLink")}} being used. In SVG, only simple links are available.</p>

<p>Twentytwo elements are using this attribute: {{SVGElement("a")}}, {{SVGElement("altGlyph")}}, {{SVGElement("animate")}}, {{SVGElement("animateColor")}}, {{SVGElement("animateMotion")}}, {{SVGElement("animateTransform")}}, {{SVGElement("color-profile")}}, {{SVGElement("cursor")}}, {{SVGElement("feImage")}}, {{SVGElement("filter")}}, {{SVGElement("font-face-uri")}}, {{SVGElement("glyphRef")}}, {{SVGElement("image")}}, {{SVGElement("linearGradient")}}, {{SVGElement("mpath")}}, {{SVGElement("pattern")}}, {{SVGElement("radialGradient")}}, {{SVGElement("script")}}, {{SVGElement("set")}}, {{SVGElement("textPath")}}, {{SVGElement("tref")}}, and {{SVGElement("use")}}</p>

<h2 id="Usage_notes">Usage notes</h2>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><code>simple</code></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><code>simple</code></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>No</td>
  </tr>
 </tbody>
</table>

<dl>
 <dt><code>simple</code></dt>
 <dd>This value specifies that the referred resource is a simple link.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("SVG1.1", "linking.html#XLinkShowAttribute", "xlink:type")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("svg.attributes.xlink.xlink_type")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="https://www.w3.org/TR/xlink/#link-types">Definition of the <code>xlink:type</code> attribute in the XLink specification</a></li>
</ul>
